package org.cebs.corep.excelToXbrl.constants;

/**
 * Constants for the templates MKR IM and MKR IM Daily - Day.
 */
public interface MKR_SA_ConstantsInterface
{
  /** Constants for the positions of the relevant cells/rows */
  public static final int ROWS_BEGIN_MKR_SA_TDI = 7;
  public static final int COLUMN_BEGIN_MKR_SA_TDI = 5;

  public static final int ROWS_BEGIN_MKR_SA_EQU = 7;
  public static final int COLUMN_BEGIN_MKR_SA_EQU = 5;

  public static final int ROWS_BEGIN_MKR_SA_COM = 7;
  public static final int COLUMN_BEGIN_MKR_SA_COM = 5;

  public static final int ROWS_BEGIN_MKR_SA_FX = 7;
  public static final int COLUMN_BEGIN_MKR_SA_FX = 5;

  /** Constants for the dimension name */
  public static final String DIMENSIONNAMETRADEDDEBTINSTRUMENTSTRADINGBOOK = "t-mt-2005-12-31.xsd#t-mt_dDebtInstrumentsInTradingBookDimension";
  public static final String DIMENSIONNAMEEQUITITIESTRADINGBOOK = "t-me-2005-12-31.xsd#t-me_EquitiesTradingBookDimension";
  public static final String DIMENSIONNAMEPOSITIONSCOMMODITIES = "t-mc-2005-12-31.xsd#t-mc_TotalPositionsInCommoditiesDimension";
  public static final String DIMENSIONNAMEMATURITYLADDERAPPROACH = "t-mc-2005-12-31.xsd#t-mc_MaturityLadderApproachDimension";
  public static final String DIMENSIONNAMEPOSITIONNONREPORTINGCURRENCIES = "t-mf-2005-12-31.xsd#t-mf_PositionsNonReportingCurrenciesDimension";

  /** Constants for the measures (element names) (t-me) */
  public static final String ALLPOSITIONSLONG = "AllPositionsLong";
  public static final String ALLPOSITIONSSHORT = "AllPositionsShort";
  public static final String REDUTIONEFFECTUNDERWRITINGPOSITIONS = "ReductionEffectUnderwritingPositions";
  public static final String NETPOSITIONSLONG = "NetPositionsLong";
  public static final String NETPOSITIONSSHORT = "NetPositionsShort";
  public static final String LONGNETPOSITIONS = "LongNetPositions";
  public static final String SHORTNETPOSITIONS = "ShortNetPositions";
  public static final String NETPOSITIONSSUBJECTCAPITALCHARGE = "NetPositionsSubjectCapitalCharge";
  public static final String CAPITALREQUIREMENTS = "CapitalRequirements";

  /** Constants for the measures (element names) (t-mt) */
  public static final String REDUCTIONEFFECTFORUNDERWRITINGPOSITIONS = "ReductionEffectForUnderwritingPositions";
  public static final String ALLOWANCEDUETOTRADINGBOOKPOSITIONSHEDGEDBYCREDITDERIVATIVES = "AllowanceDueToTradingBookPositionsHedgedByCreditDerivatives";
  public static final String TOLONGNETPOSITIONS = "NetPositionsLong";
  public static final String TOSHORTNETPOSITIONS = "NetPositionsShort";
  public static final String NETPOSITIONSSUBJECTTOCAPITALCHARGE = "NetPositionsSubjectToCapitalCharge";

  /** Constants for the measures (element names) (t-mc) */
  public static final String PURELYSTOCKFINANCINGPOSITIONS = "PurelyStockFinancingPositions";
  public static final String POSITIONSPURELYSTOCKFINANCINGLONG = "MemorandumItemsLong";
  public static final String POSITIONSPURELYSTOCKFINANCINGSHORT = "MemorandumItemsShort";
  public static final String POSITIONSSUBJECTCAPITALCHARGE = "PositionsSubjectToCapitalCharge";

  /** Constants for the measures (element names) (t-mf) */
  public static final String HEDGINGPOSITIONSCAPITALRATIOLONG = "HedgingPositionsCapitalRatioLong";
  public static final String HEDGINGPOSITIONSCAPITALRATIOSHORT = "HedgingPositionsCapitalRatioShort";
  public static final String POSITIONSSUBJECTCAPITALCHARGELONG = "PositionsSubjectCapitalChargeLong";
  public static final String POSITIONSSUBJECTCAPITALCHARGESHORT = "PositionsSubjectCapitalChargeShort";
  public static final String POSITIONSSUBJECTCAPITALCHARGEMATCHED = "PositionsSubjectCapitalChargeMatched";

  /** Constants for the dimension d-ri (element names) of template t-td  */
  public static final String TOTAL = "Total";
  public static final String GENERALRISK = "GeneralRisk";
  public static final String EXCHANGETRADEDSTOCKINDEXFUTURESBROADLYDIVERSIFIEDSUBJECTPARTICULARAPPROACH = "ExchangeTradedStockIndexFuturesBroadlyDiversifiedSubjectParticularApproach";
  public static final String OTHEREQUITIESTHANEXCHANGETRADEDSTOCKINDEXFUTURESBROADLYDIVERSIFIED = "OtherEquitiesThanExchangeTradedStockIndexFuturesBroadlyDiversified";
  public static final String GENERALRISKMATURITYBASEDAPPROACH = "GeneralRiskMaturityBasedApproach";
  public static final String GENERALRISKMATURITYBASEDAPPROACHZONE1 = "Zone1GeneralRiskMaturityBased";
  public static final String BETWEEN0AND1MONTH = "Zone1Between0And1Month";
  public static final String BETWEEN1AND3MONTH = "Zone1Between1And3Months";
  public static final String BETWEEN3AND6MONTH = "Zone1Between3And6Months";
  public static final String BETWEEN6AND12MONTH = "Zone1Between6And12Months";
  public static final String GENERALRISKMATURITYBASEDAPPROACHZONE2 = "Zone2GeneralRiskMaturityBased";
  public static final String BETWEEN1AND2YEARS = "Zone2Between1And2Years";
  public static final String BETWEEN2AND3YEARS = "Zone2Between2And3Years";
  public static final String BETWEEN3AND4YEARS = "Zone2Between3And4Years";
  public static final String GENERALRISKMATURITYBASEDAPPROACHZONE3 = "Zone3GeneralRiskMaturityBased";
  public static final String BETWEEN4AND5YEARS = "Zone3Between4And5Years";
  public static final String BETWEEN5AND7YEARS = "Zone3Between5And7Years";
  public static final String BETWEEN7AND10YEARS = "Zone3Between7And10Years";
  public static final String BETWEEN10AND15YEARS = "Zone3Between10And15Years";
  public static final String BETWEEN15AND20YEARS = "Zone3Between15And20Years";
  public static final String GREATER20YEARS = "Zone3Greater20YearsLess12ForCuponLess3Percent";
  public static final String BETWEEN12AND20YEARS3 = "Zone3Greater20YearsLess20ForCuponLess3Percent";
  public static final String GREATER20YEARS3 = "Zone3Greater20YearsGreater20ForCuponLess3Percent";
  public static final String MATCHEDWEIGTHEDPOSITIONALLMATURITYBANDS = "MatchedWeightedPositionInAllMaturityBands";
  public static final String MATCHEDWEIGHTEDPOSITIONZONE1 = "MatchedWeightedPositionInZone1";
  public static final String MATCHEDWEIGHTEDPOSITIONZONE2 = "MatchedWeightedPositionInZone2";
  public static final String MATCHEDWEIGHTEDPOSITIONZONE3 = "MatchedWeightedPositionInZone3";
  public static final String MATCHEDWEIGTHEDPOSITIONBETWEENZONE1ANDZONE2 = "MatchedWeightedPositionBetweenZone1And2";
  public static final String MATCHEDWEIGTHEDPOSITIONBETWEENZONE2ANDZONE3 = "MatchedWeightedPositionBetweenZone2And3";
  public static final String MATCHEDWEIGHTEDPOSITIONBETWEENZONE1ANDZONE3 = "MatchedWeightedPositionBetweenZone1And3";
  public static final String RESIDUALUNMATCHEDPOSITIONS = "ResidualUnmatchedWeightedPositions";
  public static final String GENERALRISKDURATIONBASEDAPPROACH = "GeneralRiskDurationBasedApproach";
  public static final String GENERALRISKDURATIONBASEDAPPROACHZONE1 = "Zone1GeneralRiskDurationBased";
  public static final String GENERALRISKDURATIONBASEDAPPROACHZONE2 = "Zone2GeneralRiskDurationBased";
  public static final String GENERALRISKDURATIONBASEDAPPROACHZONE3 = "Zone3GeneralRiskDurationBased";
  public static final String MATCHEDDURATIONWEIGHTEDPOSITIONALLZONES = "MatchedDurationWeightedPositionInAllZones";
  public static final String MATCHEDDURATIONWEIGHTEDPOSITIONBETWEENZONE1ANDZONE2 = "MatchedDurationWeightedPositionBetweenZone1And2";
  public static final String MATCHEDDURATIONWEIGHTEDPOSITIONBETWEENZONE2ANDZONE3 = "MatchedDurationWeightedPositionBetweenZone2And3";
  public static final String MATCHEDDURATIONWEIGHTEDPOSITIONBETWEENZONE1ANDZONE3 = "MatchedDurationWeightedPositionBetweenZone1And3";
  public static final String RESIDUALUNMATCHEDDURATIONWEIGHTEDPOSITIONS = "ResidualUnmatchedDurationWeightedPositions";
  public static final String SPECIFICRISK = "SpecificRisk";
  public static final String DEBTSECURITIESRSAIRBAPPROACHES = "DebtSecuritiesUnderFirstCategoryTable1";
  public static final String DEBTSECURITIESRSAAPPROACHESOTHERS = "DebtSecuritiesUnderSecondCategoryTable1";
  public static final String RESIDUALTERMS6MONTHS = "WithResidualTermLessThan6Months";
  public static final String RESIDUALTERMS6AND24MONTHS = "WithResidualTermMoreThan6MonthsLessThan24Months";
  public static final String RESIDUALTERMS24MONTHS = "WithResidualTermMoreThan24Months";
  public static final String DEBTSECURITIESUNDERTHIRDCATEGORYTABLE1 = "DebtSecuritiesUnderThirdCategoryTable1";
  public static final String DEBTSECURITIESUNDERFOURTHCATEGORYTABLE1 = "DebtSecuritiesUnderFourthCategoryTable1";
  public static final String SECURITISATIONEXPOSURESSUBJECT1250PERCENTRISKWEIGHTINGORDEDUCTIONUNRATEDLIQUIDITYFACILITIES = "SecuritisationExposuresSubject1250PercentRiskWeightingOrDeductionUnratedLiquidityFacilities";
  public static final String HIGHQUALITYLIQUIDDIVERSIFIEDPORTFOLIOSSUBJECTLOWERCAPITALREQUIREMENTS = "HighQualityLiquidDiversifiedPortfoliosSubjectLowerCapitalRequirements";
  public static final String OTHEREQUITIESTHANHIGHQUALITYLIQUIDDIVERSIFIEDPORTFOLIOS = "OtherEquitiesThanHighQualityLiquidDiversifiedPortfolios";
  public static final String PARTICULARAPPROACHPOSITIONRISKCIUS = "ParticularApproachPositionRiskInCIUs";
  public static final String MARGINBASEDAPPROACHEXCHANGETRADEDFUTURESOPTIONS = "MarginBasedApproachExchangeTradedFuturesOptions";
  public static final String MARGINBASEDAPPROACHEXCHANGETRADEDOTCFUTURESOPTIONS = "MarginBasedApproachOTCFuturesOptions";
  public static final String OTHERNONDELTARISKOPTIONS = "OtherNonDeltaRisksOptions";

  /** Constants for the dimensions (element names) of template t-pr  */
  public static final String POSITIONSNONREPORTINGCURRENCIES = "PositionsNonReportingCurrencies";
  public static final String TOTALPOSITIONSNONREPORTINGCURRENCIES = "TotalPositionsNonReportingCurrencies";
  public static final String CURRENCIESSECONDSTAGEEMO = "CurrenciesSecondStageEMU";
  public static final String CURRENCIESSUBJECTINTERGOVERMENTALAGREEMENTS = "CurrenciesSubjectIntergovernmentalAgreements";
  public static final String CURRENCIESCLOSELYCORRELATED = "CurrenciesCloselyCorrelated";
  public static final String ALLOTHERCURRENCIES = "AllOtherCurrenciesIncCIUsTratedDifferentCurrencies";
  public static final String GOLD = "Gold";
  public static final String OTHERNONDELTARISKSCURRENCYOPTIONS = "OtherNonDeltaRisksCurrencyOptions";
  public static final String MEMORANDUMITEMSCURRENCYPOSITIONS = "MemorandumItemsCurrencyPositions";
  public static final String EURO = "Euro";
  public static final String ERM2CURRENCIES = "ERM2Currencies";
  public static final String DKK = "DKK";
  public static final String EEK = "EEK";
  public static final String LTL = "LTL";
  public static final String SIT = "SIT";
  public static final String GBP = "GBP";
  public static final String SEK = "SEK";
  public static final String CHF = "CHF";
  public static final String OTHEREEECURRENCIES = "OtherEEECurrencies";
  public static final String USD = "USD";
  public static final String CAD = "CAD";
  public static final String AUD = "AUD";
  public static final String JPY = "JPY";
  public static final String OTHERNONEEECURRENCIES = "OtherNonEEECurrencies";
  public static final String CIUSASSEPARATECURRENCIES = "CIUsTratedSeparateCurrencies";

  /** Constants for the dimensions (element names) of template t-mc  */
  public static final String TOTALPOSITIONSCOMMODITIES = "Total";
  public static final String MATURITYLADDERAPPROACH = "MaturityLadderApproach";
  public static final String EXTENDEDMATURITYLADDERAPPROACH = "ExtendedMaturityLadderApproach";
  public static final String SIMPLIFIEDAPPROACHALLPOSITIONS = "SimplifiedApproachAllPositions";
  public static final String NETPOSITIONS2 = "SimplifiedApproachNetPositions";
  public static final String GROSSPOSITIONS = "SimplifiedApproachGrossPositions";
  public static final String MARGINBASEDAPPROACHEXCHANGETRADEDFUTURESANDOPTIONS = "MarginBasedApproachForExchangeTradedFuturesAndOptions";
  public static final String MARGINBASEDAPPROACHOTCFUTURESANDOPTIONS = "MarginBasedApproachForOTCFuturesAndOptions";
  public static final String OTHERNONDELTARISKSCOMMODITYOPTIONS = "OtherNonDeltaRisksForCommodityOptions";
  public static final String RISKSHORTAGELIQUIDITY = "RiskOfShortageOfLiquidity";

  public static final String MATURIYZONELESSEQUAL1YEAR = "MaturiyZoneLessEqual1Year";
  public static final String MATURITYZONE1YEARBETWEEN0AND1MONTH = "MaturityZone1YearBetween0And1Month";
  public static final String MATURITYZONE1YEARBETWEEN1AND3MONTHS = "MaturityZone1YearBetween1And3Months";
  public static final String MATURITYZONE1YEARBETWEEN3AND6MONTHS = "MaturityZone1YearBetween3And6Months";
  public static final String MATURITYZONE1YEARBETWEEN6AND12MONTHS = "MaturityZone1YearBetween6And12Months";
  public static final String MATURITYZONEBETWEEN1AND3YEARS = "MaturityZoneBetween1and3Years";
  public static final String MATURITYZONEBETWEEN1AND3YEARSBETWEEN1AND2YEARS = "MaturityZoneBetween1And3YearsBetween1And2Years";
  public static final String MATURITYZONEBETWEEN1AND3YEARSBETWEEN2AND3YEARS = "MaturityZoneBetween1And3YearsBetween2And3Years";
  public static final String MATURIYZONEGREATERTHAN3YEARS = "MaturiyZoneGreaterThan3Years";
  public static final String MATCHEDLONGANDSHORTPOSITIONSWITHINMATURITYBAND = "MatchedLongAndShortPositionsWithinMaturityBand";
  public static final String MATCHEDPOSITIONSBETWEENTWOMATURITYBANDS = "MatchedPositionsBetweenTwoMaturityBands";
  public static final String RESIDUALUNMATCHEDPOSITIONS2 = "ResidualUnmatchedPositions";

  /** Constants for the implizit dimensions  */
  public static final String COMMODITY = "Commodity";
  public static final String NATIONALMARKET = "NationalMarket";
  public static final String CURRENCY = "Currency";
}