package org.cebs.corep.xbrl.action;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

import org.cebs.corep.xbrl.log.CorepLogger;
import org.cebs.corep.xbrl.util.CorepClientContext;
import de.bundesbank.util.log.ClientContext;

/**
 * Diese Klasse wurde im Rahmen des Frameworks aus Stuttgart zur Verfgung
 * gestellt und ist verantwortlich fr das Setzen des Client-Context
 * im Navigationsmen.
 */
public class NavigationServlet extends de.bundesbank.util.webgui.navigation.NavigationServlet
{
	static {
		CorepLogger.getDefaultLogger();
	}

  /**
   * Diese Methode ist verantwortlich fr das Setzen des Client-Context
   * fr die Euro-Evidenz, hier EuroClientContext.
   * im Navigationsmen. Sie wird von der bergeordneten Klasse
   * NavigationsServlet des Frameworks aufgerufen.
   */
  protected ClientContext getClientContext(HttpServletRequest request) throws ServletException
  {
    ClientContext ctx = (ClientContext)request.getAttribute(ClientContext.REQUEST_ATTRIBUTE_NAME);
    if (ctx == null)
    {
      CorepClientContext ecc = new CorepClientContext();
      // setzt den User
      ecc.setUserID(request.getRemoteUser());
      // setzt die Session-Id 
      ecc.setSessionID(request.getSession().getId());
      ctx = ecc;
      // legt den Client-Context in den Request
      request.setAttribute(ClientContext.REQUEST_ATTRIBUTE_NAME, ecc);
    }
    return ctx;
  }
}
