package org.cebs.corep.xbrl.exceptions;

import java.util.Hashtable;

/**
 *
 * Erweitert die BasisException um eine Abbildung
 * von Formularfeldbezeichner auf Fehlermeldungen.
 * Aus BakisM uebernommen
 */
public class CorepBusinessException extends BasisException
{
  private Object[] params;

  //HashMap mit Fehlerkeys aus EJB-Validierung
  private Hashtable errorTable;

  /**
   * Constructor for EuroAdminBusinessException
   */
  public CorepBusinessException()
  {
    super();
  }

  /**
   * Constructor for EuroBusinessException
   * @param arg0 String
   */
  public CorepBusinessException(String arg0)
  {
    super(arg0);
  }

  /**
   * Constructor for EuroBusinessException
   * @param arg0 String
   * @param th Throwable
   */
  public CorepBusinessException(String arg0, Throwable th)
  {
    super(arg0, th);
  }

  /**
   * Constructor for EuroBusinessException
   * @param message String
   * @param params Object[]
   */
  public CorepBusinessException(String message, Object[] params)
  {
    super(message);
    this.params = params;
  }

  /**
   * Standard-Konstruktor
   * @param aErrorTable Hashtable
   */

  public CorepBusinessException(Hashtable aErrorTable)
  {
    setErrorTable(aErrorTable);
  }

  /**
   * Getter-Methode fuer Parameter.
   * Creation date: (05.07.01 11:04:59)
   * @return java.lang.Object[]
   */
  public Object[] getParams()
  {
    return this.params;
  }

  /**
   * Gets the errorTable
   * @return Returns a Hashtable
   */
  public Hashtable getErrorTable()
  {
    return errorTable;
  }

  /**
   * Sets the errorTable
   * @param errorTable The errorTable to set
   */
  public void setErrorTable(Hashtable errorTable)
  {
    this.errorTable = errorTable;
  }
}
