package org.cebs.corep.xbrl.log;

/**
 * Das Interface LogAction stellt die Log-Keys bereit.
 * 
 */
public interface LogAction extends java.io.Serializable
{
  // fuer  Anfang und Ende JUnit  Methoden
  public static final String JUNIT_TEST_METHOD_BEGIN = "JUNIT_TEST_METHOD_BEGIN";
  public static final String JUNIT_TEST_METHOD_END = "JUNIT_TEST_METHOD_END";

  // fuer  Anfang und Ende MDB  Methoden
  public static final String ON_MESSAGE_BEGIN = "ON_MESSAGE_BEGIN";
  public static final String ON_MESSAGE_END = "ON_MESSAGE_END";

  // fuer Anfang und Ende normaler Methoden
  public static final String METHOD_BEGIN = "METHOD_BEGIN";
  public static final String METHOD_END = "METHOD_END";

  // fuer Laufzeitmessungen vor Einsprung und nach Rcksprung
  public static final String CALL = "CALL";
  public static final String RETURN = "RETURN";

  // reservierter Schluessel, wird generisch durch das ActionServlet vergeben
  public static final String REQUEST_BEGIN = "REQUEST_BEGIN";
  public static final String REQUEST_END = "REQUEST_END";

  // sind zu eleminieren !!!!
  public static final String JSP_BEGIN = "JSP_BEGIN";
  public static final String JSP_END = "JSP_END";

  // bei Ausnahmen in der Nutzung der Datenbank
  public static final String DAO_ERROR = "DAO_ERROR";

  // bei Ausnahmen bei der Ermittlung des Status der Anwendung
  public static final String STATUS_ERROR = "STATUS_ERROR";

  // bei systembedingten Ausnahmen, welche geordneten Ablauf verhindern
  public static final String COREP_XBRL_TECHNICAL_ERROR = "COREP_XBRL_TECHNICAL_ERROR";
  public static final String TECHNICAL_ERROR = "TECHNICAL_ERROR";

  // bei systembedingten Ausnahmen, welche geordneten Ablauf ermglichen 
  public static final String COREP_XBRL_TECHNICAL_WARNING = "COREP_XBRL_TECHNICAL_WARNING";
  public static final String TECHNICAL_WARNING = "TECHNICAL_WARNING";

  // bei Ausnahmen im Geschftsablauf, welche geordneten Ablauf verhindern
  public static final String COREP_XBRL_BUSINESS_FEHLER = "COREP_XBRL_BUSINESS_FEHLER";
  public static final String BUSINESS_FEHLER = "BUSINESS_FEHLER";

  // bei Ausnahmen im Geschftsablauf, welche geordneten Ablauf ermoeglichen
  public static final String COREP_XBRL_BUSINESS_WARNUNG = "COREP_XBRL_BUSINESS_WARNING";
  public static final String BUSINESS_WARNUNG = "BUSINESS_WARNING";

  // fuer Entwicklungszwecke
  public static final String DEBUG = "DEBUG";

  // fuer allgemeine Information waehrend des Betriebs
  public static final String INFO = "INFO";

  // fuer Fehler in den Kreditdaten
  public static final String CREDIT_DATA_ERROR = "CREDIT_DATA_ERROR";

  //fuer Fehler bei der Umwandlung von oder in ein Datum
  public static final String DATUM_HELPER = "DATUM_HELPER";
  public static final String DATUM_HELPER_ERROR = "DATUM_HELPER_ERROR";
  public static final String DATUM_HELPER_WARNING = "DATUM_HELPER_WARNING";

  // Log-Konstanten fr Scheduler-Batch-Jobs
  public static final String SCHEDULERJOB_BEGIN = "SCHEDULERJOB_BEGIN";
  public static final String SCHEDULERJOB_END = "SCHEDULERJOB_END";
}
